# TODO:
# - move man_fix patch to ac/am automatic generation, based on configure option 
Summary:	dnshistory - storing a history of DNS/Name changes
Summary(pl.UTF-8):	dnshistory - przechowywanie historii zmian DNS/nazw
Name:		dnshistory
Version:	1.3
Release:	6
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://www.stedee.id.au/files/%{name}-%{version}.tar.gz
# Source0-md5:	6fa5dbb93bf3d69331077a1422350320
Patch0:		%{name}-man_fix.patch
URL:		http://www.stedee.id.au/dnshistory/
BuildRequires:	db-devel
BuildRequires:	pcre-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_databasedir	/var/lib/%{name}
%define		_dbfile		%{name}.db

%description
dnshistory provides a means for storing a history of DNS/Name changes
for the IP Addresses extracted from web log files. The major target
being that multiple analyses of older log files do not require
re-lookups of IP Address to FQDNs, and additionally maintain the
accuracy of the lookup as it was then and not as it is now.

%description -l pl.UTF-8
dnshistory daje możliwość przechowywania historii zmian DNS/nazw dla
adresów IP wyciągniętych z plików logów WWW. Głównym zastosowaniem
jest wielokrotne analizowanie starszych plików logów nie wymagające
ciągłych przekształceń adresów IP na FQDN, a jednocześnie zachowujące
rezultaty przekształceń z przeszłości.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-database-dir=%{_databasedir} \
	--enable-database-name=%{_dbfile}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_databasedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT%{_databasedir}/%{_dbfile}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,stats,stats) %dir %{_databasedir}
%ghost %{_databasedir}/%{_dbfile}
%{_mandir}/man1/*.1*
%changelog
* Wed Sep 05 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dnshistory.git;a=log;h=master

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 859f678
- release 6 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> f60e894
- Rebuild with DB 5.3
- release 5 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3672601
- release 4

* Sat Jun 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f3f2ff1
- rel 3

* Tue Jan 08 2008 Paweł Gołaszewski <blues@pld-linux.org> 38becc9
- rel.2

* Tue Jan 08 2008 Paweł Gołaszewski <blues@pld-linux.org> 53857aa
- 1.3 final

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1246f1b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 204daab
- converted to UTF-8

* Tue Jul 11 2006 Paweł Gołaszewski <blues@pld-linux.org> 20de9e4
- put _beta macro to release. It works pretty nice.

* Sat Jul 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 5cfb219
- pl, cleanup

* Tue Jun 27 2006 Paweł Gołaszewski <blues@pld-linux.org> cfd5dc9
- Changed default database location

* Tue Jun 27 2006 Paweł Gołaszewski <blues@pld-linux.org> 6b48f87
- change default location of database. It should be generated by
  automake/autoconf

* Tue Jun 27 2006 ankry <ankry@pld-linux.org> a7c5476
- Summary, fixed License, some cosmetics

* Tue Jun 27 2006 Paweł Gołaszewski <blues@pld-linux.org> e44a8cb
- initial - seems to be working

